Summary:        Dynamic Kernel Module Support Framework
Name:           dkms
Version:        3.0.10
Release:        4%{?dist}
License:        GPLv2+
URL:            http://linux.dell.com/dkms
Source0:        https://github.com/dell/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make systemd

Requires:       coreutils cpio
Requires:       file findutils elfutils-libelf-devel   
Requires:       gawk gcc grep gzip
Requires:       kmod make sed tar which
Requires:       kernel-devel-uname-r

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

Recommends:     openssl

%description
This package provides the framework for the Dynamic Kernel Module Support (DKMS)
method for installing module RPMS as originally developed by Dell.

%prep

%autosetup -p1

%install
make install\
    DESTDIR=%{buildroot} \
    LIBDIR=%{buildroot}%{_prefix}/lib/%{name} \
    SYSTEMD=%{buildroot}%{_unitdir}

# move installation from makefile.
install -D -m 0755 dkms_find-provides %{buildroot}%{_prefix}/lib/%{name}/find-provides
install -D -m 0755 lsb_release %{buildroot}%{_prefix}/lib/%{name}/lsb_release
install -D -m 0644 dkms.service %{buildroot}%{_unitdir}/dkms.service

install -p -m 755 -D kernel_install.d_dkms \
    %{buildroot}%{_prefix}/lib/kernel/install.d/40-%{name}.install

sed -i -e 's|# modprobe_on_install="true"|modprobe_on_install="true"|g' %{buildroot}%{_sysconfdir}/%{name}/framework.conf

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license COPYING
%doc README.md images
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/framework.conf.d
%config(noreplace) %{_sysconfdir}/%{name}/framework.conf
%{_prefix}/lib/%{name}
%{_prefix}/lib/kernel/install.d/40-%{name}.install
%{_sbindir}/%{name}
%{_sysconfdir}/kernel/install.d/%{name}
%{_sysconfdir}/kernel/postinst.d/%{name}
%{_sysconfdir}/kernel/prerm.d/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_unitdir}/%{name}.service
%{_sharedstatedir}/%{name}
%{_mandir}/man8/dkms.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jan 30 2023 Yi Lin <nilusyi@tencent.com> - 3.0.10-1
- package init.
